## org.eclipse.m2m.atl.adt.ui.text.atl
Class AtlCodeScanner.IdentifierRule

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.AtlCodeScanner.IdentifierRule

All Implemented Interfaces:
  org.eclipse.jface.text.rules.IRule

Enclosing class:
  AtlCodeScanner

    public class AtlCodeScanner.IdentifierRule

extends java.lang.Object
implements org.eclipse.jface.text.rules.IRule

Rule to detect atl identifier.

Constructor Summary
`AtlCodeScanner.IdentifierRule(org.eclipse.jface.text.rules.Token token)` Creates a new identifier rule.

Method Summary
`org.eclipse.jface.text.rules.IToken` `evaluate(org.eclipse.jface.text.rules.ICharacterScanner scanner)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtlCodeScanner.IdentifierRule

    public AtlCodeScanner.IdentifierRule(org.eclipse.jface.text.rules.Token token)

  Creates a new identifier rule.

  Parameters:
    `token` - the given token for this rule.

Method Detail

### evaluate

    public org.eclipse.jface.text.rules.IToken evaluate(org.eclipse.jface.text.rules.ICharacterScanner scanner)

  Specified by:
    `evaluate` in interface `org.eclipse.jface.text.rules.IRule`
  See Also:
    `IRule.evaluate(org.eclipse.jface.text.rules.ICharacterScanner)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.